---
apiVersion: traefik.containo.us/v1alpha1
kind: Middleware
metadata:
  name: mw-strip
  namespace: ops-it
spec:
  stripPrefix:
    prefixes:
      - /login
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: bookstack
  namespace: ops-it
spec:
  entryPoints:
    - web
    - websecure
  routes:
    - kind: Rule
      match: Host(`bookstack.silvarion.org`)
      priority: 10
      services:
        - name: bookstack
          port: 80
      middlewares:
        - name: mw-strip
  tls:
    certResolver: cloudflare
---
apiVersion: traefik.io/v1alpha1
kind: Middleware
metadata:
  name: https-perma-redirect
  namespace: ops-it
spec:
  redirectScheme:
    permanent: true
    scheme: https